The Spring Framework

## org.springframework.aop.config
Class AopNamespaceUtils

    java.lang.Object
      org.springframework.aop.config.AopNamespaceUtils

    public abstract class AopNamespaceUtils

extends Object

Utility class for handling registration of auto-proxy creators used internally by the '`aop`' namespace tags.

Only a single auto-proxy creator can be registered and multiple tags may wish to register different concrete implementations. As such this class delegates to `AopConfigUtils` which wraps a simple escalation protocol. Therefore classes may request a particular auto-proxy creator and know that class, or a subclass thereof, will eventually be resident in the application context.

Since:
  2.0
Author:
  Rob Harrop, Juergen Hoeller, Mark Fisher
See Also:
  `AopConfigUtils`

Field Summary
`static String` `PROXY_TARGET_CLASS_ATTRIBUTE` The `proxy-target-class` attribute as found on AOP-related XML tags.

Constructor Summary
`AopNamespaceUtils()`

Method Summary
`static void` `forceAutoProxyCreatorToUseClassProxying(BeanDefinitionRegistry registry)` Deprecated. since Spring 2.5, in favor of `AopConfigUtils.forceAutoProxyCreatorToUseClassProxying(BeanDefinitionRegistry)`
`static void` `registerAspectJAnnotationAutoProxyCreatorIfNecessary(ParserContext parserContext, Element sourceElement)`
`static void` `registerAspectJAutoProxyCreatorIfNecessary(ParserContext parserContext, Element sourceElement)`
`static void` `registerAutoProxyCreatorIfNecessary(ParserContext parserContext, Element sourceElement)`
`static void` `registerAutoProxyCreatorIfNecessary(ParserContext parserContext, Object source)` Deprecated. since Spring 2.5, in favor of `registerAutoProxyCreatorIfNecessary(ParserContext, Element)` and `AopConfigUtils.registerAutoProxyCreatorIfNecessary(BeanDefinitionRegistry, Object)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROXY_TARGET_CLASS_ATTRIBUTE

    public static final String PROXY_TARGET_CLASS_ATTRIBUTE

  The `proxy-target-class` attribute as found on AOP-related XML tags.

  See Also:
    Constant Field Values

Constructor Detail

### AopNamespaceUtils

    public AopNamespaceUtils()

Method Detail

### registerAutoProxyCreatorIfNecessary

    public static void registerAutoProxyCreatorIfNecessary(ParserContext parserContext,
                                                           Element sourceElement)

### registerAspectJAutoProxyCreatorIfNecessary

    public static void registerAspectJAutoProxyCreatorIfNecessary(ParserContext parserContext,
                                                                  Element sourceElement)

### registerAspectJAnnotationAutoProxyCreatorIfNecessary

    public static void registerAspectJAnnotationAutoProxyCreatorIfNecessary(ParserContext parserContext,
                                                                            Element sourceElement)

### registerAutoProxyCreatorIfNecessary

    public static void registerAutoProxyCreatorIfNecessary(ParserContext parserContext,
                                                           Object source)

  Deprecated. since Spring 2.5, in favor of `registerAutoProxyCreatorIfNecessary(ParserContext, Element)` and `AopConfigUtils.registerAutoProxyCreatorIfNecessary(BeanDefinitionRegistry, Object)`

### forceAutoProxyCreatorToUseClassProxying

    public static void forceAutoProxyCreatorToUseClassProxying(BeanDefinitionRegistry registry)

  Deprecated. since Spring 2.5, in favor of `AopConfigUtils.forceAutoProxyCreatorToUseClassProxying(BeanDefinitionRegistry)`

The Spring Framework

Copyright © 2002-2008 The Spring Framework.